A coverage range represents a time span for which Foxglove has data for a given device.
You must specify the start and end arguments when making a coverage request.
Note: By default, only coverage ranges with imported recordings are returned. To include coverage ranges with unimported recordings from an Edge Site or a device running Foxlet, set the includeEdgeRecordings query parameter to true
Security
ApiKey(Required scopes: data.coverage.list)
- Productionhttps://api.foxglove.dev/v1/data/coverage
from foxglove.client import Client
from datetime import datetime, timedelta
token = "<YOUR API TOKEN HERE>"
client = Client(token=token)
client.get_coverage(
start=datetime.now() - timedelta(hours=3),
end=datetime.now() - timedelta(hours=1),
)
Coverage
Array []
The import status of recordings. Status will be one of:
none: The recording has not yet been imported, and import has not been requested.pending: Foxglove has received a request to import this recording.importing: The recording data is being processed for access via Foxglove.failed: The recording data could not be imported.complete: The contents of the recording are available for access via Foxglove.
Note: none and pending statuses are applicable only to recordings originating from an Edge Site or a device running Foxlet.
The set of importStatus values may expand in the future.
Enum:"none""pending""importing""failed""complete"
Response
[ { "deviceId": "string", "device": { … }, "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "status": "at-edge", "importStatus": "none" } ]